FDBermudanEngine< Scheme > Class Template Reference
Pricing engines » Vanilla option engines

Finite-differences Bermudan engine. More...

`#include <ql/pricingengines/vanilla/fdbermudanengine.hpp>`

Inherits engine, and FDMultiPeriodEngine< Scheme >.

## Public Member Functions

| FDBermudanEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)
void | calculate () const

## Protected Member Functions

void | initializeStepCondition () const
void | executeIntermediateStep (Size) const

## Protected Attributes

Real | extraTermInBermudan

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDBermudanEngine< Scheme >

Finite-differences Bermudan engine.

Deprecated:
  Use FdBlackScholesVanillaEngine instead. Deprecated in version 1.17.